Check which version of Sen2cor was used

Given a L2A product, is there a way to check which version of sen2cor (2.8.0; 2.5.5) were used to generate it?

You can check the processing baseline in the MTD_MSIL2A.xml file. Sen2Cor v 02.08 started with the processing baseline 02.12. But notice that the S2 PDGS is using more versions than the public sen2cor versions. For example, this is some of the sen2cor versions used in some processing baselines:

2 Likes

@obarrilero Thank you very much for your response.
When processing using sen2cor 2.8.0 I am getting <PROCESSING_BASELINE>99.99</PROCESSING_BASELINE>.
Would you say it is correct?

It is because the processing baseline is used by the PDGS in the products available in scihub, but if you are processing them yourself, then you have to configure your own processing_baseline in the file L2A_Config.py that you can find in [yourInstallationFolder]/Sen2Cor-02.08.00-win64\Lib\site-packages\sen2cor . Around the line 70:

image

1 Like